import { EventEmitter, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DragDropFileComponent {
    private render;
    maxFileSize: number;
    multipleFiles: boolean;
    file: File;
    disabled: boolean;
    disabledDownload: boolean;
    filesDropped: EventEmitter<File | FileList>;
    deleteFile: EventEmitter<File>;
    downloadFile: EventEmitter<File>;
    private fileInput;
    fileUploadIsToBig: boolean;
    constructor(render: Renderer2);
    onClickUpload(): void;
    fileToUploadChange(evt: any): void;
    onFileDropped(file: File | FileList): void;
    onDeleteFile(evt: any): void;
    onDownloadFile(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragDropFileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragDropFileComponent, "uno-drag-drop-file", never, { "maxFileSize": "maxFileSize"; "multipleFiles": "multipleFiles"; "file": "file"; "disabled": "disabled"; "disabledDownload": "disabledDownload"; }, { "filesDropped": "filesDropped"; "deleteFile": "deleteFile"; "downloadFile": "downloadFile"; }, never, never>;
}
